public class Player{
  PImage playerImage;
  float x;
  float y;
  int maxX;
  int maxY;
  int health = 150;  
  int gold = 0;
  boolean healthReduced = false;

  public Player(PImage playerImage, int maxX, int maxY){  
    this.playerImage = playerImage; 
    this.maxX = maxX;
    this.maxY = maxY;
  } 

  public PImage getImage(){
    return playerImage;
  }

  public float getX(){
    return this.x;
  }

  public float getY(){
    return this.y;
  }

  public void setX(float x){
    if(x > this.maxX || x < 0){
    }
    else{
      this.x = x;
    }
  }

  public void setY(float y){
    if(y > this.maxY || y < 0){
    }
    else{
      this.y = y;
    }
  }

  public int getHealth(){
    return this.health;
  }

  public void setHealth(int health){
    if(health < this.health){
      healthReduced = true;
    }else{
      healthReduced = false;
    }
    if(health >= 0){
      this.health = health;    
    }
    else{ 
      this.health = 0;
    }
  }

  public int getGold(){
    return this.gold;
  }

  public void setGold(int gold){
    this.gold = gold;
  }
  
  public color getHealthColor(){
    if(healthReduced){
      return color(255, 0, 0);
    }else{
      return color(255, 255, 255);
    }
  }
}

